package com.icomsys.main_vm.biz.rcp.conversation.vo;

import lombok.Builder;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

/**
 * Name : ConversationCmmNodeDiagramRes 
 * date : 2023-02-16 
 * author :  Mong
 * description :
 * ===========================================================
 * DATE                 AUTHOR                NOTE
 * -----------------------------------------------------------
 * 2023-02-16                Mong             최초 생성
 */

@NoArgsConstructor
public class ConversationCmmNodeDiagramRes {
    private Long seq;
    private String cmmNodeName;
    private String textContents;
    private String checksum;

    @Builder
    public ConversationCmmNodeDiagramRes(Long seq, String cmmNodeName, String textContents, String checksum) {
        this.seq = seq;
        this.cmmNodeName = cmmNodeName;
        this.textContents = textContents;
        this.checksum = checksum;
    }

    public Long getSeq() {
        return seq;
    }

    public void setSeq(Long seq) {
        this.seq = seq;
    }

    public String getCmmNodeName() {
        return cmmNodeName;
    }

    public void setCmmNodeName(String cmmNodeName) {
        this.cmmNodeName = cmmNodeName;
    }

    public String getTextContents() {
        return textContents;
    }

    public void setTextContents(String textContents) {
        this.textContents = textContents;
    }

    public String getChecksum() {
        return checksum;
    }

    public void setChecksum(String checksum) {
        this.checksum = checksum;
    }
}
